/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumIsocode;
import de.ship.db.enums.EnumTransCategory;
import de.ship.db.tables.VCoreValuelistDataquier;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VCoreValuelistDataquierRecord extends TableRecordImpl<VCoreValuelistDataquierRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_core_valuelist_dataquier.id</code>.
     */
    public void setId(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_dataquier.id</code>.
     */
    public Integer getId() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_dataquier.varvalues</code>.
     */
    public void setVarvalues(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_dataquier.varvalues</code>.
     */
    public String getVarvalues() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_dataquier.category</code>.
     */
    public void setCategory(EnumTransCategory value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_dataquier.category</code>.
     */
    public EnumTransCategory getCategory() {
        return (EnumTransCategory) get(2);
    }

    /**
     * Setter for <code>common_dd.v_core_valuelist_dataquier.isocode</code>.
     */
    public void setIsocode(EnumIsocode value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_core_valuelist_dataquier.isocode</code>.
     */
    public EnumIsocode getIsocode() {
        return (EnumIsocode) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VCoreValuelistDataquierRecord
     */
    public VCoreValuelistDataquierRecord() {
        super(VCoreValuelistDataquier.V_CORE_VALUELIST_DATAQUIER);
    }

    /**
     * Create a detached, initialised VCoreValuelistDataquierRecord
     */
    public VCoreValuelistDataquierRecord(Integer id, String varvalues, EnumTransCategory category, EnumIsocode isocode) {
        super(VCoreValuelistDataquier.V_CORE_VALUELIST_DATAQUIER);

        setId(id);
        setVarvalues(varvalues);
        setCategory(category);
        setIsocode(isocode);
        resetChangedOnNotNull();
    }
}
